package de.ullisroboterseite.ursai2notification;

// https://www.nowherenearithaca.com/2012/03/too-easy-using-contentprovider-to-send.html
// https://stackoverflow.com/questions/31555722/share-assets-using-fileprovider

import android.content.ContentProvider;
import android.content.ContentValues;
import android.content.res.AssetFileDescriptor;
import android.content.res.AssetManager;
import android.database.Cursor;
import android.net.Uri;
import android.util.Log;

import java.io.FileNotFoundException;
import java.io.IOException;

public class AssetFileProvider extends ContentProvider {
    static final String LOG_TAG = ChannelProperties.LOG_TAG;

    @Override
    public AssetFileDescriptor openAssetFile(Uri uri, String mode) throws FileNotFoundException {
        Log.d(LOG_TAG, "AssetsGetter: Open asset file: " + uri);
        AssetManager am = getContext().getAssets();
        String file_name = uri.getLastPathSegment();
        if (file_name == null)
            throw new FileNotFoundException();
        AssetFileDescriptor afd = null;
        try {
            afd = am.openFd(file_name);
        } catch (IOException e) {
            e.printStackTrace();
        }
        return afd;
    }



    @Override
    public boolean onCreate() {
        return true;
    }

    @Override
    public Cursor query( Uri uri,  String[] projection, String selection, String[] selectionArgs,  String sortOrder) {
        return null;
    }

    @Override
    public String getType( Uri uri) {
        return null;
    }

    @Override
    public Uri insert( Uri uri, ContentValues values) {
        return null;
    }

    @Override
    public int delete(Uri uri, String selection, String[] selectionArgs) {
        return 0;
    }

    @Override
    public int update( Uri uri,  ContentValues values,String selection,  String[] selectionArgs) {
        return 0;
    }
}